The Google Health API lets you view and manage health and fitness metrics and measurement data.

- [REST Resource: v4.projects.subscribers](https://developers.google.com/health/reference/rest#v4.projects.subscribers)
- [REST Resource: v4.projects.subscribers.subscriptions](https://developers.google.com/health/reference/rest#v4.projects.subscribers.subscriptions)
- [REST Resource: v4.users](https://developers.google.com/health/reference/rest#v4.users)
- [REST Resource: v4.users.dataTypes.dataPoints](https://developers.google.com/health/reference/rest#v4.users.dataTypes.dataPoints)
- [REST Resource: v4.users.pairedDevices](https://developers.google.com/health/reference/rest#v4.users.pairedDevices)
- [REST Resource: v4beta.projects.subscribers](https://developers.google.com/health/reference/rest#v4beta.projects.subscribers)
- [REST Resource: v4beta.projects.subscribers.subscriptions](https://developers.google.com/health/reference/rest#v4beta.projects.subscribers.subscriptions)
- [REST Resource: v4beta.users](https://developers.google.com/health/reference/rest#v4beta.users)
- [REST Resource: v4beta.users.dataTypes.dataPoints](https://developers.google.com/health/reference/rest#v4beta.users.dataTypes.dataPoints)
- [REST Resource: v4beta.users.pairedDevices](https://developers.google.com/health/reference/rest#v4beta.users.pairedDevices)

## Service: health.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:

- <https://health.googleapis.com/$discovery/rest?version=v4>
- <https://health.googleapis.com/$discovery/rest?version=v4beta>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://health.googleapis.com`

## REST Resource: [v4.projects.subscribers](https://developers.google.com/health/reference/rest/v4/projects.subscribers)

| Methods ||
|---|---|
| `https://developers.google.com/health/reference/rest/v4/projects.subscribers/create` | `POST /v4/{parent=projects/*}/subscribers` Registers a new subscriber endpoint to receive notifications. |
| `https://developers.google.com/health/reference/rest/v4/projects.subscribers/delete` | `DELETE /v4/{name=projects/*/subscribers/*}` Deletes a subscriber registration. |
| `https://developers.google.com/health/reference/rest/v4/projects.subscribers/list` | `GET /v4/{parent=projects/*}/subscribers` Lists all subscribers registered within the owned Google Cloud Project. |
| `https://developers.google.com/health/reference/rest/v4/projects.subscribers/patch` | `PATCH /v4/{subscriber.name=projects/*/subscribers/*}` Updates the configuration of an existing subscriber, such as the endpoint URI or the data types it's interested in. |

## REST Resource: [v4.projects.subscribers.subscriptions](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions)

| Methods ||
|---|---|
| `https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/create` | `POST /v4/{parent=projects/*/subscribers/*}/subscriptions` Creates a subscription for a specific user to a specific subscriber. |
| `https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/delete` | `DELETE /v4/{name=projects/*/subscribers/*/subscriptions/*}` Deletes a specific user subscription, stopping notifications for this user to this subscriber. |
| `https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/list` | `GET /v4/{parent=projects/*/subscribers/*}/subscriptions` Lists all active subscriptions for a given subscriber. |
| `https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/patch` | `PATCH /v4/{subscription.name=projects/*/subscribers/*/subscriptions/*}` Updates the data types for an existing user subscription. |

## REST Resource: [v4.users](https://developers.google.com/health/reference/rest/v4/users)

| Methods ||
|---|---|
| `https://developers.google.com/health/reference/rest/v4/users/getIdentity` | `GET /v4/{name=users/*/identity}` Gets the user's identity. |
| `https://developers.google.com/health/reference/rest/v4/users/getIrnProfile` | `GET /v4/{name=users/*/irnProfile}` Returns user's IRN Profile details. |
| `https://developers.google.com/health/reference/rest/v4/users/getProfile` | `GET /v4/{name=users/*/profile}` Returns user Profile details. |
| `https://developers.google.com/health/reference/rest/v4/users/getSettings` | `GET /v4/{name=users/*/settings}` Returns user settings details. |
| `https://developers.google.com/health/reference/rest/v4/users/updateProfile` | `PATCH /v4/{profile.name=users/*/profile}` Updates the user's profile details. |
| `https://developers.google.com/health/reference/rest/v4/users/updateSettings` | `PATCH /v4/{settings.name=users/*/settings}` Updates the user's settings details. |

## REST Resource: [v4.users.dataTypes.dataPoints](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints)

| Methods ||
|---|---|
| `https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/batchDelete` | `POST /v4/{parent=users/*/dataTypes/*}/dataPoints:batchDelete` Delete a batch of identifyable data points. |
| `https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/create` | `POST /v4/{parent=users/*/dataTypes/*}/dataPoints` Creates a single identifiable data point. |
| `https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/dailyRollUp` | `POST /v4/{parent=users/*/dataTypes/*}/dataPoints:dailyRollUp` Roll up data points over civil time intervals for supported data types. |
| `https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/exportExerciseTcx` | `GET /v4/{name=users/*/dataTypes/*/dataPoints/*}:exportExerciseTcx` Exports exercise data in TCX format. |
| `https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/get` | `GET /v4/{name=users/*/dataTypes/*/dataPoints/*}` Get a single identifyable data point. |
| `https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/list` | `GET /v4/{parent=users/*/dataTypes/*}/dataPoints` Query user health and fitness data points. |
| `https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/patch` | `PATCH /v4/{dataPoint.name=users/*/dataTypes/*/dataPoints/*}` Updates a single identifiable data point. |
| `https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/reconcile` | `GET /v4/{parent=users/*/dataTypes/*}/dataPoints:reconcile` Reconcile data points from multiple data sources into a single data stream. |
| `https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/rollUp` | `POST /v4/{parent=users/*/dataTypes/*}/dataPoints:rollUp` Roll up data points over physical time intervals for supported data types. |

## REST Resource: [v4.users.pairedDevices](https://developers.google.com/health/reference/rest/v4/users.pairedDevices)

| Methods ||
|---|---|
| `https://developers.google.com/health/reference/rest/v4/users.pairedDevices/get` | `GET /v4/{name=users/*/pairedDevices/*}` Returns user's Device. |
| `https://developers.google.com/health/reference/rest/v4/users.pairedDevices/list` | `GET /v4/{parent=users/*}/pairedDevices` Returns the user's list of paired 1P trackers and smartwatches. |

## REST Resource: [v4beta.projects.subscribers](https://developers.google.com/health/reference/rest/v4beta/projects.subscribers)

| Methods ||
|---|---|
| `https://developers.google.com/health/reference/rest/v4beta/projects.subscribers/create` | `POST /v4beta/{parent=projects/*}/subscribers` Registers a new subscriber endpoint to receive notifications. |
| `https://developers.google.com/health/reference/rest/v4beta/projects.subscribers/delete` | `DELETE /v4beta/{name=projects/*/subscribers/*}` Deletes a subscriber registration. |
| `https://developers.google.com/health/reference/rest/v4beta/projects.subscribers/list` | `GET /v4beta/{parent=projects/*}/subscribers` Lists all subscribers registered within the owned Google Cloud Project. |
| `https://developers.google.com/health/reference/rest/v4beta/projects.subscribers/patch` | `PATCH /v4beta/{subscriber.name=projects/*/subscribers/*}` Updates the configuration of an existing subscriber, such as the endpoint URI or the data types it's interested in. |

## REST Resource: [v4beta.projects.subscribers.subscriptions](https://developers.google.com/health/reference/rest/v4beta/projects.subscribers.subscriptions)

| Methods ||
|---|---|
| `https://developers.google.com/health/reference/rest/v4beta/projects.subscribers.subscriptions/create` | `POST /v4beta/{parent=projects/*/subscribers/*}/subscriptions` Creates a subscription for a specific user to a specific subscriber. |
| `https://developers.google.com/health/reference/rest/v4beta/projects.subscribers.subscriptions/delete` | `DELETE /v4beta/{name=projects/*/subscribers/*/subscriptions/*}` Deletes a specific user subscription, stopping notifications for this user to this subscriber. |
| `https://developers.google.com/health/reference/rest/v4beta/projects.subscribers.subscriptions/list` | `GET /v4beta/{parent=projects/*/subscribers/*}/subscriptions` Lists all active subscriptions for a given subscriber. |
| `https://developers.google.com/health/reference/rest/v4beta/projects.subscribers.subscriptions/patch` | `PATCH /v4beta/{subscription.name=projects/*/subscribers/*/subscriptions/*}` Updates the data types for an existing user subscription. |

## REST Resource: [v4beta.users](https://developers.google.com/health/reference/rest/v4beta/users)

| Methods ||
|---|---|
| `https://developers.google.com/health/reference/rest/v4beta/users/getIdentity` | `GET /v4beta/{name=users/*/identity}` Gets the user's identity. |
| `https://developers.google.com/health/reference/rest/v4beta/users/getIrnProfile` | `GET /v4beta/{name=users/*/irnProfile}` Returns user's IRN Profile details. |
| `https://developers.google.com/health/reference/rest/v4beta/users/getProfile` | `GET /v4beta/{name=users/*/profile}` Returns user Profile details. |
| `https://developers.google.com/health/reference/rest/v4beta/users/getSettings` | `GET /v4beta/{name=users/*/settings}` Returns user settings details. |
| `https://developers.google.com/health/reference/rest/v4beta/users/updateProfile` | `PATCH /v4beta/{profile.name=users/*/profile}` Updates the user's profile details. |
| `https://developers.google.com/health/reference/rest/v4beta/users/updateSettings` | `PATCH /v4beta/{settings.name=users/*/settings}` Updates the user's settings details. |

## REST Resource: [v4beta.users.dataTypes.dataPoints](https://developers.google.com/health/reference/rest/v4beta/users.dataTypes.dataPoints)

| Methods ||
|---|---|
| `https://developers.google.com/health/reference/rest/v4beta/users.dataTypes.dataPoints/batchDelete` | `POST /v4beta/{parent=users/*/dataTypes/*}/dataPoints:batchDelete` Delete a batch of identifyable data points. |
| `https://developers.google.com/health/reference/rest/v4beta/users.dataTypes.dataPoints/create` | `POST /v4beta/{parent=users/*/dataTypes/*}/dataPoints` Creates a single identifiable data point. |
| `https://developers.google.com/health/reference/rest/v4beta/users.dataTypes.dataPoints/dailyRollUp` | `POST /v4beta/{parent=users/*/dataTypes/*}/dataPoints:dailyRollUp` Roll up data points over civil time intervals for supported data types. |
| `https://developers.google.com/health/reference/rest/v4beta/users.dataTypes.dataPoints/exportExerciseTcx` | `GET /v4beta/{name=users/*/dataTypes/*/dataPoints/*}:exportExerciseTcx` Exports exercise data in TCX format. |
| `https://developers.google.com/health/reference/rest/v4beta/users.dataTypes.dataPoints/get` | `GET /v4beta/{name=users/*/dataTypes/*/dataPoints/*}` Get a single identifyable data point. |
| `https://developers.google.com/health/reference/rest/v4beta/users.dataTypes.dataPoints/list` | `GET /v4beta/{parent=users/*/dataTypes/*}/dataPoints` Query user health and fitness data points. |
| `https://developers.google.com/health/reference/rest/v4beta/users.dataTypes.dataPoints/patch` | `PATCH /v4beta/{dataPoint.name=users/*/dataTypes/*/dataPoints/*}` Updates a single identifiable data point. |
| `https://developers.google.com/health/reference/rest/v4beta/users.dataTypes.dataPoints/reconcile` | `GET /v4beta/{parent=users/*/dataTypes/*}/dataPoints:reconcile` Reconcile data points from multiple data sources into a single data stream. |
| `https://developers.google.com/health/reference/rest/v4beta/users.dataTypes.dataPoints/rollUp` | `POST /v4beta/{parent=users/*/dataTypes/*}/dataPoints:rollUp` Roll up data points over physical time intervals for supported data types. |

## REST Resource: [v4beta.users.pairedDevices](https://developers.google.com/health/reference/rest/v4beta/users.pairedDevices)

| Methods ||
|---|---|
| `https://developers.google.com/health/reference/rest/v4beta/users.pairedDevices/get` | `GET /v4beta/{name=users/*/pairedDevices/*}` Returns user's Device. |
| `https://developers.google.com/health/reference/rest/v4beta/users.pairedDevices/list` | `GET /v4beta/{parent=users/*}/pairedDevices` Returns the user's list of paired 1P trackers and smartwatches. |